%global debug_package %{nil}

Name:           mono-bouncycastle
Version:        1.7
Release:        8%{?dist}
Summary:        Bouncy Castle Crypto Package for Mono

Group:          System Environment/Libraries
# Files in crypto/bzip2/ are ASL 2.0 licensed,
# everything else is MIT.
License:        MIT and ASL 2.0
URL:            http://www.bouncycastle.org/csharp/
Source0:        http://www.bouncycastle.org/csharp/download/bccrypto-net-%{version}-src.zip

BuildRequires:  mono-devel, nant
BuildRequires:  unzip

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 sparcv9 alpha s390x

%description
The Bouncy Castle Crypto package is a C# implementation of cryptographic
algorithms. It is a port of the Bouncy Castle Java APIs, with
approximately 80% of the functionality ported. The C# API is constantly
kept up to date with bug fixes and new test cases from the Java build
(and vice versa sometimes), thus benefiting from the large user base
and real-world use the Java version has seen.

%prep
%setup -q -n csharp

# Work around CS1540 error with mono 2.10
find . -name '*.cs' | xargs sed -i -e 's/z\.Square()\.Equals(this)/this.Equals(z.Square())/'

%build
# Use the mono system key instead of generating our own here.
cp -a /etc/pki/mono/mono.snk BouncyCastle.snk
pushd crypto/
nant -D:use-strong-name=true compile-release
popd

%install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/mono/gac/
gacutil -i crypto/api/bin/release/BouncyCastle.Crypto.dll -f -package bouncycastle -root $RPM_BUILD_ROOT%{_prefix}/lib

%files
%doc crypto/Contributors.html
%doc crypto/License.html
%doc crypto/Readme.html
%{_prefix}/lib/mono/gac/*/
%{_prefix}/lib/mono/bouncycastle/

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 21 2011 Christian Krause <chkr@fedoraproject.org> - 1.7-2
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)

* Sun Jun 26 2011 Kalev Lember <kalev@smartlink.ee> - 1.7-1
- Update to 1.7
- Cleaned up the spec file for modern rpmbuild
- Updated the supported arch list

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 08 2010 Kalev Lember <kalev@smartlink.ee> - 1.6.1-1
- Update to 1.6.1
- Dropped upstreamed patches

* Sun Feb 07 2010 Kalev Lember <kalev@smartlink.ee> - 1.6-3
- Applied upstream patch to fix AssemblyInfo for 1.6

* Sat Feb 06 2010 Kalev Lember <kalev@smartlink.ee> - 1.6-2
- Updated strongname.patch to the version sent for upstream inclusion

* Sat Feb 06 2010 Kalev Lember <kalev@smartlink.ee> - 1.6-1
- Update to version 1.6
- Use upstream source zip now that IDEA code is removed
- Removed patches which were merged upstream
- Added patch to strongname sign the resulting assembly
- ASL 1.1 files were relicensed to ASL 2.0, so now
  the license tag reads 'MIT and ASL 2.0'

* Sat Jan 23 2010 Kalev Lember <kalev@smartlink.ee> - 1.5-6
- Removed bundled mono.snk key

* Fri Dec 11 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-5
- Updated mono-nopatents.patch to the version sent upstream

* Wed Dec 02 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-4
- Updated License tag to read 'MIT and ASL 1.1'

* Wed Dec 02 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-3
- Temporarily bundle mono.snk with this package to fix build on < F-13

* Tue Dec 01 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-2
- Use the system mono.snk key instead of regenerating on every build

* Fri Nov 13 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-1
- Initial RPM release.
